### Method

# Clutter Actor peek_stage_views

#### Declaration [src]

    GList*
    clutter_actor_peek_stage_views (
      ClutterActor* self
    )

#### Description [src]

Retrieves the list of `ClutterStageView`s the actor is being painted on.

If this function is called during the paint cycle, the list is guaranteed to be up-to-date, if called outside the paint cycle, the list will contain the views the actor was painted on last.

The list returned by this function is not updated when the actors visibility changes: If an actor gets hidden and is not being painted anymore, this function will return the list of views the actor was painted on last.

If an actor is not attached to a stage (realized), this function will always return an empty list.

#### Return value

Type: A list of `None`

The list of `ClutterStageView`s the actor is being painted on. The list and its contents are owned by the `ClutterActor` and the list may not be freed or modified.

The returned data is owned by the instance.